🌱 Create a new party entity
curl --request POST \
--url https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"legalParty": {
"businessSectors": [],
"companyName": "<string>",
"customersLocations": [
"<string>"
],
"customersPaymentTypes": [],
"description": "<string>",
"registeredAddress": {
"city": "<string>",
"countryIso2": "<string>",
"houseNo": "<string>",
"street": "<string>",
"zip": "<string>"
},
"registrationNumber": "<string>",
"symbol": "<string>"
},
"publicKey": "<string>"
}
'import requests
url = "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties"
payload = {
"email": "<string>",
"legalParty": {
"businessSectors": [],
"companyName": "<string>",
"customersLocations": ["<string>"],
"customersPaymentTypes": [],
"description": "<string>",
"registeredAddress": {
"city": "<string>",
"countryIso2": "<string>",
"houseNo": "<string>",
"street": "<string>",
"zip": "<string>"
},
"registrationNumber": "<string>",
"symbol": "<string>"
},
"publicKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
legalParty: {
businessSectors: [],
companyName: '<string>',
customersLocations: ['<string>'],
customersPaymentTypes: [],
description: '<string>',
registeredAddress: {
city: '<string>',
countryIso2: '<string>',
houseNo: '<string>',
street: '<string>',
zip: '<string>'
},
registrationNumber: '<string>',
symbol: '<string>'
},
publicKey: '<string>'
})
};
fetch('https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"legalParty": {
"businessSectors": [
"FIN_INST_BANK_CREDIT"
],
"companyName": "<string>",
"customersLocations": [
"<string>"
],
"customersPaymentTypes": [
"CASH"
],
"description": "<string>",
"legalFormType": "AKTIENGESELLSCHAFT",
"registeredAddress": {
"city": "<string>",
"countryIso2": "<string>",
"houseNo": "<string>",
"street": "<string>",
"zip": "<string>"
},
"registrationNumber": "<string>",
"statute": {
"description": "<string>",
"fileType": "PICTURE",
"title": "<string>",
"id": 123,
"url": "<string>"
},
"symbol": "<string>"
},
"naturalParty": {
"firstName": "<string>",
"lastName": "<string>",
"nationality": "<string>",
"residentialAddress": {
"city": "<string>",
"countryIso2": "<string>",
"houseNo": "<string>",
"street": "<string>",
"zip": "<string>"
},
"salutation": "UNKNOWN",
"birthDate": "2023-12-25",
"image": {
"description": "<string>",
"fileType": "PICTURE",
"title": "<string>",
"id": 123,
"url": "<string>"
},
"kyc": {
"caseId": "<string>",
"caseResult": [
{
"description": "<string>",
"fileType": "PICTURE",
"title": "<string>",
"id": 123,
"url": "<string>"
}
],
"kycProvider": "POSTIDENT",
"kycResult": "success"
},
"links": [
{
"title": "<string>",
"url": "<string>",
"id": 123,
"insertDate": "2023-11-07T05:31:56Z",
"modifyDate": "2023-11-07T05:31:56Z"
}
],
"mobile": "<string>",
"pepFlag": true,
"phoneNumber": "<string>"
}
}Party Management
Party
This API endpoint allows you to create a new party, which can be either a natural person or a legal entity.
POST
/
omni-omni
/
v1
/
parties
🌱 Create a new party entity
Additional Examples for Party creation
{
"email": "john.doe@example.com",
"publicKey": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAwDNqC/f\n... [Rest of Public Key] ...\n-----END PUBLIC KEY-----",
"naturalParty": {
"firstName": "John",
"lastName": "Doe",
"salutation": "MR",
"nationality": "DE",
"phoneNumber": "+49123456789",
"mobile": "+49987654321",
"residentialAddress": {
"countryIso2": "DE",
"city": "Berlin",
"street": "Example Street",
"houseNo": "123",
"zip": "12345"
},
"pepFlag": false,
"birthDate": "1990-01-15",
"kyc": {}, // KYC data will be handled separately
"links": [] // No social media links provided in this example
}
}
{
"email": "info@examplecorp.com",
"publicKey": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAwF23V/\n... [Rest of Public Key] ...\n-----END PUBLIC KEY-----",
"legalParty": {
"companyName": "Example Corporation",
"symbol": "EXCORP",
"description": "A sample corporation.",
"registrationNumber": "HRB12345",
"registeredAddress": {
"countryIso2": "DE",
"city": "Munich",
"street": "Corporate Street",
"houseNo": "1",
"zip": "80331"
},
"legalFormType": "GESELLSCHAFT_MIT_BESCHRANKTER_HAFTUNG",
"customersLocations": [], // Example: ["DE", "US"]
"businessSectors": [], // Example: ["FIN_INST_BANK_CREDIT"]
"customersPaymentTypes": [], //Example: ["WIRED_TRANSFER"]
"statute": null // Statute document upload needs to be handled separately.
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json